Перейти к содержимому

Реферальная программа Мегаплана


Ничего не выводится после вызова метода

#41 fedornabilkin

fedornabilkin
  • Пользователь
  • 696 сообщений
  • Репутация: 91
0

Отправлено 09 Апрель 2013 - 09:22

Да хватит вам уже кучулука пугать.
То ему ООП не надо учить, то MySQL уже скоро не будет поддерживаться.
Это "уже скоро" длится не первый год и еще продлится столько же. А если и не будет поддержки в 5.5, то это еще не значит, что все сразу пересядут на 5.5 и начнут перепиливать свои скрипты.
Кучулук, не парься по этому поводу, все будет нормально, главное желание :)
  • 0
Как часто в горестной разлуке,В моей блуждающей судьбе, ФО, я думал о тебе.


#42 matroskin8

matroskin8
  • Пользователь PRO
  • 767 сообщений
  • Репутация: 143

Отправлено 09 Апрель 2013 - 09:30

в php 5.5 поддержка mysql будет прекращена

Можно поинтересоваться, откуда такая информация? Я вот встречал в сети слова о том, что прекращена поддержка будет с 6-ой версии... правда без конкретных ссылок. В документации написано туманное "будет удалено в будущем", но никаких намеков на версию нет. Да и, насколько я знаю, устаревшие функции, к примеру, не удаляют довольно долго и оставляют их поддержку в новых версиях для обратной совместимости. Ну а прекратить поддержку целой библиотеки вот так вот скоро... а как же множество сайтов в сети, использующих ее возможности? :)
  • 0


#43 html-ka

html-ka
  • Пользователь
  • 455 сообщений
  • Репутация: 82

Отправлено 09 Апрель 2013 - 09:48

matroskin8, да можно, в документации по любой функции по работе с mysql, например http://www.php.net/m...mysql-query.php
screen.png
ЗЫ еще раз оговорюсь разговор идет не о СУБД MySQL, а библиотеки mysql php для работы с СУБД MySQL

Я думаю проблема перехода на новые версии заключается в хостерах, которые неохотно идут на повышение версий, т.к. большинство проектов написано на старых версиячх движка, я вот своего прошу перейти с 5.2. на 5.4 или хотябы на 5.3., т.к. там есть интересные алюшки, которые не будут работать в версиях ниже :)

Насколько я помню разработчики отказались от 6 версии, а вместо нее запустили 5.5
  • 0

#44 matroskin8

matroskin8
  • Пользователь PRO
  • 767 сообщений
  • Репутация: 143

Отправлено 09 Апрель 2013 - 10:00

matroskin8, да можно, в документации по любой функции по работе с mysql, например http://www.php.net/m...mysql-query.php

Собственно, я процитировал часть той же строки из документации :)
Может мы несколько иначе понимаем смысл написанного, но я понимаю это так:
1) библиотека устарела - это да... конкретно - с версии 5.5.0, о чем и написано там.
2) будет удалена - это также понятно, поскольку так и написано... но вот где там написано, что именно с версии 5.5.0 произойдет это удаление? Такого я там не вижу, а вижу пока что неопределенное "будет удалено в будущем".
  • 1


#45 html-ka

html-ka
  • Пользователь
  • 455 сообщений
  • Репутация: 82

Отправлено 09 Апрель 2013 - 18:36

я иногда бываю категоричным :)
  • 0

#46 matroskin8

matroskin8
  • Пользователь PRO
  • 767 сообщений
  • Репутация: 143

Отправлено 09 Апрель 2013 - 20:55

Бывает такое у всех нас ;)


  • 0



Оформление форума – IPBSkins.ru